Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
PUTOrganization OperationsSince 2.4.0SynchronousAuth Required

LoginIAM2VirtualID

LoginIAM2VirtualID

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • loginiam2virtualidObjectRequired

    loginiam2virtualid request body object.

    • nameStringRequired

      The resource name.

    • passwordStringRequired

      密码。

    • captchaUuidString

      Optional.

    • verifyCodeString

      Optional.

    • clientInfoMap

      Optional. The client information.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySessionInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • accountUuidStringRequired

      The account UUID.

    • userUuidStringRequired

      The user UUID.

    • expiredDateTimestampRequired

      已过期时间。

    • createDateTimestampRequired

      The creation date.

Endpoint

PUT/zstack/v1/iam2/virtual-ids/login

/zstack/v1/iam2/virtual-ids/login

Operation ID

LoginIAM2VirtualID

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/iam2/virtual-ids/login' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"loginiam2virtualid":{"name":"<name>","password":"<password>","captchaUuid":"<captchaUuid>","verifyCode":"<verifyCode>","clientInfo":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "7fcdc9d9e4bf3d8681a4472f38951dc0", "noSessionEvaluation": false } }

Change History

This API has no change history records yet.

View all change history